Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003262 [JEDI VCL] 00 JVCL Components major always 2005-10-10 21:19 2005-11-22 05:26
Reporter hegemoniac View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003262: dates aren't being bolded in calendar properly
Description The bolded dates in the calendar aren't refreshed properly until you use the left and right buttons to move months.

e.g. to reproduce:

1. Pop a TJvMonthCalendar2 component on a form. Resize it to show six months.
2. In the OnFormCreate event put in:
  TJvMonthCalendar21.Bold[2005, 10, 11] := True; //or whatever day
3. The date doesn't show in bold! but it does when you move months using the left and right buttons. Can't see a way to refresh this either.
Additional Information
Tags No tags attached.
Attached Files rar file icon Jedi.rar [^] (1,448 bytes) 2005-10-17 16:38
png file icon JvCalendar.png [^] (26,167 bytes) 2005-11-02 06:46

- Relationships

-  Notes
(0008014)
remkobonte (developer)
2005-10-11 16:28

I can't reproduce this on Windows XP, shell version 6.0 (using Delphi 7), with JvCalendar.pas rev. 1.35 or rev. 1.36.

But this may be a shell version dependant problem.

You can determine your shell version by calling

  ShowMessage(IntToHex(GetShellVersion, 8));

GetShellVersion is a function from JvJCLUtils.pas. On my computer it then shows 00060000 (= version 6.0).

Do you have another shell version, revision of JvCalendar.pas, etc.?

If you have the same stuff, could you make a demo application and upload it to this bug report.
(0008015)
hegemoniac (reporter)
2005-10-11 19:07

I got version 3 of JVCL from source forge, which has a JvCalendar.pas dated 18/2/2005 (v1.31?). I'll see if I can download a later version of this file from sourceforge and test. Is there a recommended way of getting a newer version of this file?
(0008016)
hegemoniac (reporter)
2005-10-11 19:18

I've just downloaded the latest daily build and it's still the same date/time stamp as before. Is there any way I can get your version of the JvCalendar.pas?
(0008017)
hegemoniac (reporter)
2005-10-11 19:20

Oh yeah, and I checked the shell version and it is version 6.0 as well. I'm using WindowsXP with Delphi 5.
(0008034)
hegemoniac (reporter)
2005-10-16 02:14

Hi Remkobonte,

I haven't heard anything in the last few days. Any ideas on this issue? I've got a fairly tight deadline and was hoping that the JvMonthCalendar2 component would put me over the line.

Thanks.
(0008035)
AHUser (developer)
2005-10-16 02:24

For me it works under WinXP with Delphi 5.

Could you attach a compilable (minimal) example project, that shows the effect?
(0008038)
hegemoniac (reporter)
2005-10-17 16:39

Hi,

I've uploaded a test application, along with comments in the source code of things that aren't happening.
(0008039)
AHUser (developer)
2005-10-18 04:28

Fixed in CVS.

Delphi 5's TStrings/TStringList is implemented different. So the control was not updated correctly.
(0008073)
hegemoniac (reporter)
2005-11-01 20:28

I've downloaded the latest source (jvCalendar is now 1.40), but the same issues are still there. Is there anything special I have to do? And like my test program highlights, the multiple bolded dates in a single month is still only bolding the first date and ignoring the rest.
(0008074)
AHUser (developer)
2005-11-02 06:46

Have you recompiled the packages (jvcl3\makemodified.bat) ?

I have attached a screenshot showing that the days are bold on my PC.
(0008076)
hegemoniac (reporter)
2005-11-03 15:31

I've run the make modified and everything is good! thanks a lot for your help.

- Issue History
Date Modified Username Field Change
2005-10-10 21:19 hegemoniac New Issue
2005-10-11 16:28 remkobonte Note Added: 0008014
2005-10-11 16:28 remkobonte Assigned To => remkobonte
2005-10-11 16:28 remkobonte Status new => feedback
2005-10-11 19:07 hegemoniac Note Added: 0008015
2005-10-11 19:18 hegemoniac Note Added: 0008016
2005-10-11 19:20 hegemoniac Note Added: 0008017
2005-10-16 02:14 hegemoniac Note Added: 0008034
2005-10-16 02:24 AHUser Note Added: 0008035
2005-10-17 16:38 hegemoniac File Added: Jedi.rar
2005-10-17 16:39 hegemoniac Note Added: 0008038
2005-10-18 04:28 AHUser Status feedback => resolved
2005-10-18 04:28 AHUser Resolution open => fixed
2005-10-18 04:28 AHUser Note Added: 0008039
2005-11-01 20:28 hegemoniac Assigned To remkobonte => AHUser
2005-11-01 20:28 hegemoniac Status resolved => feedback
2005-11-01 20:28 hegemoniac Resolution fixed => reopened
2005-11-01 20:28 hegemoniac Note Added: 0008073
2005-11-02 06:46 AHUser Note Added: 0008074
2005-11-02 06:46 AHUser File Added: JvCalendar.png
2005-11-03 15:31 hegemoniac Note Added: 0008076
2005-11-22 05:26 AHUser Status feedback => resolved
2005-11-22 05:26 AHUser Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker